> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.eyelevel.ai/reference/api-reference/buckets/update/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.eyelevel.ai/_mcp/server. # update PUT https://api.groundx.ai/api/v1/bucket/{bucketId} Content-Type: application/json Rename a bucket. Reference: https://docs.eyelevel.ai/reference/api-reference/buckets/update ## Authentication - `X-API-Key` header (required) — API Key authentication via header ## Request ### Path parameters - `bucketId` (integer, required) — The bucketId of the bucket being updated. ### Body (application/json) This endpoint expects a BucketUpdateRequest. - `newName` (string, required) — The new name of the bucket being renamed. ## Response ### 200 Bucket successfully updated - `bucket` (BucketUpdateDetail, required) ## Errors ### 400 Bad Request Error Invalid body parameter - `any` ### 401 Unauthorized Error Unauthorized to update bucket with given ID - `any` ## Types ### BucketUpdateDetail - `bucketId` (integer, required) - `name` (string, optional) ## Examples **Request** ```json { "newName": "Project Documents" } ``` **Response** ```json { "bucket": { "bucketId": 1, "name": "Project Documents" } } ``` **SDK Code** ```python import requests url = "https://api.groundx.ai/api/v1/bucket/1" payload = { "newName": "Project Documents" } headers = { "X-API-Key": "", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.groundx.ai/api/v1/bucket/1'; const options = { method: 'PUT', headers: {'X-API-Key': '', 'Content-Type': 'application/json'}, body: '{"newName":"Project Documents"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.groundx.ai/api/v1/bucket/1" payload := strings.NewReader("{\n \"newName\": \"Project Documents\"\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("X-API-Key", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.groundx.ai/api/v1/bucket/1") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["X-API-Key"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"newName\": \"Project Documents\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://api.groundx.ai/api/v1/bucket/1") .header("X-API-Key", "") .header("Content-Type", "application/json") .body("{\n \"newName\": \"Project Documents\"\n}") .asString(); ``` ```php request('PUT', 'https://api.groundx.ai/api/v1/bucket/1', [ 'body' => '{ "newName": "Project Documents" }', 'headers' => [ 'Content-Type' => 'application/json', 'X-API-Key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.groundx.ai/api/v1/bucket/1"); var request = new RestRequest(Method.PUT); request.AddHeader("X-API-Key", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"newName\": \"Project Documents\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "X-API-Key": "", "Content-Type": "application/json" ] let parameters = ["newName": "Project Documents"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.groundx.ai/api/v1/bucket/1")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```